Subject: RE: bug#33601: 26; Add macro `with-hook-added'

From: Drew Adams <[email-masked]>
Date: Mon, 3 Dec 2018 14:50:48 -0800 (PST)

> > Maybe a better name would be `with-function-on-hook' or
> > `with-hook-function-added'.  It is the function, not the
> > hook, that is added (to the hook).
> 
> True, but `with-hook-added' seems consistent with the name of
> `add-hook' itself (which likewise isn't for creating hooks).

Yeah, that's why I used that name.  I'm OK with any
of those names mentioned so far, and probably with
other alternatives too.

The real question is whether such a macro is useful.
I think it can be.  I gave a couple examples in bug
#33595.  It was those examples that made me think
such a macro might be useful.